/*
 * SimpleStateless.java
 *
 * Copyright (c) 1999-2001 Lutris Technologies, Inc. All Rights
 * Reserved.
 *
 * This source code file is distributed by Lutris Technologies, Inc. for
 * use only by licensed users of product(s) that include this source
 * file. Use of this source file or the software that uses it is covered
 * by the terms and conditions of the Lutris Enhydra Development License
 * Agreement included with this product.
 *
 * This Software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the License for the specific terms
 * governing rights and limitations under the License.
 *
 * Contributor(s):
 *
 * $Id: SimpleStateless.java,v 1.6 2001/07/31 00:28:49 jimc Exp $
 */
package simpleStateless;

import java.rmi.RemoteException;
import javax.ejb.SessionContext;

public interface SimpleStateless extends javax.ejb.EJBObject {

	/* standard ejb methods */
    public void ejbCreate() throws RemoteException;

    public void ejbActivate() throws RemoteException;

    public void ejbPassivate() throws RemoteException;

    public void ejbRemove() throws RemoteException;

	/* called by container between newInstance and ejbCreate */
	public void setSessionContext(SessionContext sessionContext)
	throws RemoteException;

	/* Simple Session methods */
	public String getMixedMessage(String message) 
	throws RemoteException;
}
