/*
 * SimpleStatelessBean.java
 *
 * Copyright (c) 1999-2001 Lutris Technologies, Inc. All Rights
 * Reserved.
 *
 * This source code file is distributed by Lutris Technologies, Inc. for
 * use only by licensed users of product(s) that include this source
 * file. Use of this source file or the software that uses it is covered
 * by the terms and conditions of the Lutris Enhydra Development License
 * Agreement included with this product.
 *
 * This Software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the License for the specific terms
 * governing rights and limitations under the License.
 *
 * Contributor(s):
 *
 * $Id: SimpleStatelessBean.java,v 1.10 2001/08/03 20:51:21 jimc Exp $
 */
package simpleStateless;

import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

public class SimpleStatelessBean implements SessionBean {

	/* constant names for environment properties */
	public static final String DEFAULT_MESSAGE = "defaultMessage";

	/* session context set by containter */
	public SessionContext sessionContext;

	/* A SimpleStatelessBean method:
	 * set case of characters in msg based on Math.random() */
	public String getMixedMessage(String msg) throws RemoteException {

		StringBuffer mixedMsg = new StringBuffer(msg);
		char c = '\0';
		double random = 0;

		if (null == msg || msg.length() == 0) {
			return sessionContext.getEnvironment().getProperty(DEFAULT_MESSAGE);
		}

		for (int i=0; i < msg.length(); i++) {
			c = msg.charAt(i);
			if (Character.isLetter(c)) {
				random = Math.random();
				mixedMsg.setCharAt(i,
					(0.5 <= random ? Character.toUpperCase(c) : 
									Character.toLowerCase(c)));
			}
		}

		return mixedMsg.toString();
	}

	/* EJB methods */
    public void ejbCreate() { }

    public void ejbActivate() { }

    public void ejbPassivate() { }

    public void ejbRemove() throws RemoteException { }

	/* called by container between newInstance and ejbCreate */
	public void setSessionContext(SessionContext sessionContext) 
	throws RemoteException {
		this.sessionContext = sessionContext;
	}

}
