/*
 * Simple
 *  
 */

package simpleStateless;

// XMLC imports
import org.enhydra.xml.xmlc.servlet.XMLCContext;

// Servlet imports
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

// Standard imports
import java.io.IOException;
import java.util.Date;
import java.text.DateFormat;

//RMI imports used here to access the EJB
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class WelcomeServlet extends HttpServlet {


    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        XMLCContext xmlc;
        WelcomeHTML welcome;
        String now;

		Context initialContext = null;
		SimpleStatelessHome sessionBeanHome = null;
		SimpleStateless sessionBean = null;

		/* get the jndi naming context */
		try {
			initialContext = new InitialContext();
		} catch (Exception e) {
			System.err.println("Welcome: Failed to get naming context" + 
								e.getMessage());
			return;
		}

		/* look up the home interface for the session bean using jndi */
		try {
			sessionBeanHome = (SimpleStatelessHome) PortableRemoteObject.narrow(
				initialContext.lookup("java:comp/env/ejb/simpleStateless"),
				SimpleStatelessHome.class);
		} catch (Exception e) {
			System.err.println("Welcome: Failed to find SimpleStatelessHome\n" +
								e.getMessage());
			return;
		}

		/* obtain an instance of the session bean from its home interface */
		try {
			sessionBean = sessionBeanHome.create();
		} catch (Exception e) {
			System.err.println("Welcome: Failed to get SimpleStateless from Home"+
								e.getMessage());
		}

		/* manipulate HTML DOM elements surfaced by xmlc */
        now = DateFormat.getTimeInstance(DateFormat.MEDIUM).format(new Date());
        xmlc = XMLCContext.getContext(this);
        welcome = (WelcomeHTML) xmlc.getXMLCFactory().create(WelcomeHTML.class);
        welcome.setTextTime(now);        
		/* use the session bean method to modify a text message */
		welcome.setTextMixed(sessionBean.getMixedMessage(
				"at the tone, the non-standard time will be: ") + now);
		/* generate the finished document */
        xmlc.writeDOM(request, response, welcome);        
    }

}
